Std Delete/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Std: Delete")
 
(Updating to match new version of source page)
 
(17 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
|[[Std_SelectAll|SelectAll]]
|[[Std_SendToPythonConsole|SendToPythonConsole]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_SelectAll.svg
|IconR=Std_SendToPythonConsole.svg
|IconC=Freecad.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Std Delete|Workbenches=All|MenuLocation=[[Std Edit Menu|Edit]] → Delete}}
{{GuiCommand|Name=Std Delete|Workbenches=All|MenuLocation=[[Std Edit Menu|Edit]] → Delete}}
</div>

==Descriere==

<div class="mw-translate-fuzzy">
Această comandaă șterge obiect(ul)ele selectate. Dacă nu este selectat nici un obiect, nimic nu se întâmplă.
</div>

<div class="mw-translate-fuzzy">
==Utilizare==
</div>

<div class="mw-translate-fuzzy">
Obiect(ul)ele selectatea pot fi șterse din document apăsând {{KEY|DEL}}, din meniul Edit → Delete, sau din vizualizarea arborescentă meniul contextual. Toate operațiunile de ștergere pot anulate(undone) și reluate(redone).
</div>

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


To delete an object use the {{incode|removeObject}} method of the document object.
==Description==


{{Code|code=
This command deletes the selected object(s). If no object is selected, nothing is done.
import FreeCAD


FreeCAD.ActiveDocument.removeObject("myObjectName")
==Use==
}}


{{Docnav
Selected object(s) can be deleted from the document by pressing {{KEY|DEL}}, from the menu item Edit → Delete, or from the Tree View context menu. All Delete operations can be undone and redone.
|[[Std_SelectAll|SelectAll]]
|[[Std_SendToPythonConsole|SendToPythonConsole]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_SelectAll.svg
|IconR=Std_SendToPythonConsole.svg
|IconC=Freecad.svg
}}


{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 09:21, 29 December 2020

Std Delete

Menu location
Edit → Delete
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
None

Descriere

Această comandaă șterge obiect(ul)ele selectate. Dacă nu este selectat nici un obiect, nimic nu se întâmplă.

Utilizare

Obiect(ul)ele selectatea pot fi șterse din document apăsând DEL, din meniul Edit → Delete, sau din vizualizarea arborescentă meniul contextual. Toate operațiunile de ștergere pot anulate(undone) și reluate(redone).

Scripting

See also: FreeCAD Scripting Basics.

To delete an object use the removeObject method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.removeObject("myObjectName")